Bug 178866 - gnome-power-manager will not load w/ selinux active
gnome-power-manager will not load w/ selinux active
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-24 17:45 EST by Jim Cornette
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-26 07:17:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
audit log attachment (703.63 KB, text/plain)
2006-01-24 20:18 EST, Jim Cornette
no flags Details

  None (edit)
Description Jim Cornette 2006-01-24 17:45:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051215 Fedora/1.7.12-3

Description of problem:
When loading gnome, gnome-power-manager does not load either normal or launched from gnome-terminal. If setenforce 0 is issued in a root shell, the applet will load and function when it is launched from a user terminal.

Debugging Information:

Backtrace was generated from '/usr/bin/gnome-power-manager'
located below in additional information.


Version-Release number of selected component (if applicable):
gnome-power-manager-0.3.4-1

How reproducible:
Always

Steps to Reproduce:

1.start gnome
2.get crash for gnome-power-manager
3.type setenforce 0 as root in shell
4. launch gnome-power-manager from user shell
  

Actual Results:  gnome-power-manager produced an error dialog box every time the restart application was selected. 

Expected Results:  The application/applet to load and function.

Additional info:

Debugging Information:

Backtrace was generated from '/usr/bin/gnome-power-manager'

Using host libthread_db library "/lib/libthread_db.so.1".
`shared object read from target memory' has disappeared; keeping its
symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1208977744 (LWP 32494)]
0x00f8b402 in __kernel_vsyscall ()
#0  0x00f8b402 in __kernel_vsyscall ()
#1  0x00a017e3 in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x046ae39d in gnome_init_with_popt_table () from
/usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x00a54b89 in g_logv () from /usr/lib/libglib-2.0.so.0
#5  0x00a54e47 in g_log () from /usr/lib/libglib-2.0.so.0
#6  0x0804eb8a in main (argc=1, argv=0xbff32104) at gpm-main.c:371
#7  0x00bee6b4 in __libc_start_main () from /lib/libc.so.6
#8  0x0804c0d1 in _start ()

Thread 1 (Thread -1208977744 (LWP 32494)):
#0  0x00f8b402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00a017e3 in __waitpid_nocancel () from /lib/libpthread.so.0
No symbol table info available.
#2  0x046ae39d in gnome_init_with_popt_table () from
/usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x00a54b89 in g_logv () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#5  0x00a54e47 in g_log () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6  0x0804eb8a in main (argc=1, argv=0xbff32104) at gpm-main.c:371
	loop =
Comment 1 John (J5) Palmieri 2006-01-24 18:07:04 EST
Please update the bellow package and reboot.  If the problem persists please
reassign this bug to selinux-policy-targeted with the related logs from either
/var/log/audit or /var/log/messages if you don't enable the audit daemon.  Thanks.

dbus
hal
gnome-power-manager
selinux-policy-targeted
Comment 2 Jim Cornette 2006-01-24 20:11:57 EST
I completed upgrading packages and rebooted. The below are installed and still
the error persists. I will reassign the package to selinux-policy-targeted with
the /var/log audit enclosed.

dbus-0.60-7
hal-0.5.6-2
gnome-power-manager-0.3.4-1
selinux-policy-targeted-2.2.2-1
Comment 3 Jim Cornette 2006-01-24 20:18:27 EST
Created attachment 123642 [details]
audit log attachment

The running of selinux 0 as root and then launching gnome-volume-manager from a
user terminal allows gnome-volume-manager to load successfully.
Comment 4 Daniel Walsh 2006-01-25 07:39:18 EST
Fixed in selinux-policy-targeted-2.2.4-1
Comment 5 Jim Cornette 2006-01-25 19:49:42 EST
I installed the latest packages and ended up with this output in the shell where
pup was launched from. The version installed is selinux-policy-targeted-2.2.4-1
Thanks! I'll reboot before closing bug.

/sbin/restorecon reset /var/gdm context system_u:object_r:unlabeled_t->system_u:
object_r:var_t
/sbin/restorecon reset /var/gdm/.fonts.cache-2 context system_u:object_r:unlabel
ed_t->system_u:object_r:var_t
/sbin/restorecon reset /var/gdm/.gdmfifo context system_u:object_r:unlabeled_t->
system_u:object_r:var_t
/sbin/restorecon reset /var/gdm/:0.Xservers context system_u:object_r:unlabeled_
t->system_u:object_r:var_t
/sbin/restorecon reset /var/gdm/.cookie context system_u:object_r:unlabeled_t->s
ystem_u:object_r:var_t
/sbin/restorecon reset /var/gdm/:0.Xauth context system_u:object_r:unlabeled_t->
system_u:object_r:var_t
/sbin/restorecon reset /var/log/gdm context system_u:object_r:unlabeled_t->syste
m_u:object_r:var_log_t
/sbin/restorecon reset /var/log/gdm/:0.log.4 context system_u:object_r:unlabeled
_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/log/gdm/:0.log.1 context system_u:object_r:unlabeled
_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/log/gdm/:0.log context system_u:object_r:unlabeled_t
->system_u:object_r:var_log_t
/sbin/restorecon reset /var/log/gdm/:0.log.3 context system_u:object_r:unlabeled
_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/log/gdm/:0.log.2 context system_u:object_r:unlabeled
_t->system_u:object_r:var_log_t
/sbin/restorecon reset /var/run/sendmail.pid context system_u:object_r:var_run_t
->system_u:object_r:sendmail_var_run_t
/sbin/restorecon reset /var/run/openct/status context system_u:object_r:initrc_v
ar_run_t->system_u:object_r:var_run_t
/sbin/restorecon reset /var/run/sm-client.pid context system_u:object_r:initrc_v
ar_run_t->system_u:object_r:sendmail_var_run_t
Could not parse file '/usr/share/applications/redhat-ekiga.desktop': Failed to o
pen file '/usr/share/applications/redhat-ekiga.desktop': No such file or directo ry
Comment 6 Jim Cornette 2006-01-26 07:17:49 EST
With selinux active, the problem with gnome-power-manager is no longer a problem.
selinux-policy-targeted-2.2.5-1 installed.
Also, when installing the new policies and selinux related rpms, no errors
displayed in the terminal.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.